<?php

class DiscountsController extends EvDiscountAppController {

	protected function _adminFormFields() {

		$Model = $this->{$this->modelClass};

		$fields = parent::_adminFormFields();

		$fields["{$Model->alias}.discount_type_id"]['empty'] = false;
		
		// Removed the uses column, this shouldn't be directly edited.
		unset($fields["{$Model->alias}.uses"]);

		return $fields;

	}

	protected function _adminPopulateLookups() {

		$this->set('discountTypes', $this->Discount->DiscountType->find('list'));

		return;

	}

}